#ifndef	NULLFTP

#include <stdio.h>
#include "ftp.h"

#define CTLZ	26		/* EOF for CP/M systems */

/* Per-session FTP client control block */
struct ftpcli {
	int control;		/* Control socket */
	int data;		/* Data socket */

	char state;
#define	COMMAND_STATE	0	/* Awaiting user command */
#define	SENDING_STATE	1	/* Sending data to user */
#define	RECEIVING_STATE	2	/* Storing data from user */

	char type;		/* Transfer type */
	char typesent;		/* Last type command sent to server */
	int logbsize;		/* Logical byte size for logical type */
	FILE *fp;		/* File descriptor being transferred */

	struct session *session;
	struct proc *output;
};
#define	NULLFTP	(struct ftpcli *)0

#endif	/* NULLFTP */



